apiVersion: apps/v1
kind: Deployment
metadata:
  name: ci-metrics
  labels:
    k8s-app: ci-metrics
spec:
  selector:
    matchLabels:
      k8s-app: ci-metrics
  replicas: 1
  template:
    metadata:
      labels:
        k8s-app: ci-metrics
    spec:
      containers:
        - name: ci-metrics
          # The docker tag is replaced by the deploy script.
          image: infra.docker.zooxlabs.com/ci/metrics/metrics:{{DOCKER_TAG}}
          # Run as a daemon.
          args: ["--repeat-interval-seconds", "60"]
          resources:
            requests:
              cpu: 1
              memory: 256Mi
